Files
Get list of donor/recipient import batches (deprecated)
Deprecated. Use GET /import/batches with type=donors or type=recipients.
GET
/
admin
/
import
/
donors-recipients
/
batches
Get list of donor/recipient import batches (deprecated)
curl --request GET \
--url https://api.gratona.com/v1/admin/import/donors-recipients/batches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/import/donors-recipients/batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/import/donors-recipients/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/import/donors-recipients/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/import/donors-recipients/batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/import/donors-recipients/batches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/import/donors-recipients/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"status": "completed",
"progress": 100,
"total_rows": 1000,
"successful_rows": 950,
"failed_rows": 50,
"filename": "donors.csv",
"import_type": "donors",
"created_at": "2024-01-14T10:30:00Z",
"completed_at": "2024-01-14T10:35:00Z",
"can_be_undone": true
}
],
"current_page": 1,
"per_page": 20,
"total": 50
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Query Parameters
Filter by status (pending, processing, completed, failed, undone)
Filter by import type (donors or recipients)
Filter by program ID
Page number for pagination
Number of items per page
⌘I
Get list of donor/recipient import batches (deprecated)
curl --request GET \
--url https://api.gratona.com/v1/admin/import/donors-recipients/batches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/import/donors-recipients/batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/import/donors-recipients/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/import/donors-recipients/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/import/donors-recipients/batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/import/donors-recipients/batches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/import/donors-recipients/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"status": "completed",
"progress": 100,
"total_rows": 1000,
"successful_rows": 950,
"failed_rows": 50,
"filename": "donors.csv",
"import_type": "donors",
"created_at": "2024-01-14T10:30:00Z",
"completed_at": "2024-01-14T10:35:00Z",
"can_be_undone": true
}
],
"current_page": 1,
"per_page": 20,
"total": 50
}